n, m = map(int,input().split())
l = sorted(list(map(int,input().split())))

co = l[0] #действующие число
p = 1 # кол-во вх
lst = []
for i in range(1, m):
    if l[i] == co:
        p += 1
    else:
        if p >= n:
            lst.append(co)
        p = 1
        co = l[i]
    
print(len(lst))
print(*lst)


